Subject: Re: New Version Notification for draft-troan-6man-universal-ra-option-01.txt

From: Raymond Burkholder <[email-masked]>
Date: Tue, 8 Jan 2019 15:45:58 -0700

On 2018-12-30 10:36 a.m., Ole Troan wrote:
> Wouldn’t that cause interoperability problems for a host stack receiving CBOR that cannot be decoded to JSON?
>> I’m late to this discussion and apparently missed the part where it was divulged why JSON support might be a good idea in the first place.
>> RA information is often binary in nature and benefits from a compact representation.  For me, this screams for CBOR, but I may be missing something (see above).
> The current drafts says:
>
>    The option data is described using the schema language CDDL   [
>    I-D.ietf-cbor-cddl], with the limitation described in appendix E
>    "Use with JSON" and encoded in CBOR [RFC7049].  The restriction is
>    there to ensure an easy representation in JSON [RFC8259].
In case it is relevant to the JSON side of things, on another mailing 
list, this was presented:

http://seriot.ch/parsing_json.php -- Parsing JSON is a Minefield 
(caveats for something, which at first blush, seems to be a simple protocol)
> Brian suggested relaxing the appendix E restriction. I think that would result in interoperability issues, and suggested we discuss removing the restriction altogether.
> The downside is user-friendlyness. User-friendly decoders would require type knowledge either through tags or knowing the CDDL.
> Which wouldn’t be required for JSON representation of course.